summaryrefslogtreecommitdiffstats
path: root/csit/install-robotframework.sh
diff options
context:
space:
mode:
authoremaclee <lee.anjella.macabuhay@est.tech>2024-01-18 12:44:58 +0000
committerLee Anjella Macabuhay <lee.anjella.macabuhay@est.tech>2024-01-22 11:06:56 +0000
commit75d07eaed2cd208e90b01919eb158a97a577d306 (patch)
treec6592b5513b1142c8ce499ec734366ee097dc31d /csit/install-robotframework.sh
parented3e30d9b54cf19f44c743650eb316bc3ca0575a (diff)
Update relevant robot scripts in DMI CSITs
Issue-ID: CPS-2032 Change-Id: I9f7f1e9078612434d07efeb9dadeb65d2f5acc48 Signed-off-by: emaclee <lee.anjella.macabuhay@est.tech>
Diffstat (limited to 'csit/install-robotframework.sh')
-rwxr-xr-xcsit/install-robotframework.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/csit/install-robotframework.sh b/csit/install-robotframework.sh
index dada6221..2c4f4320 100755
--- a/csit/install-robotframework.sh
+++ b/csit/install-robotframework.sh
@@ -1,12 +1,12 @@
-ROBOT_VENV=$(mktemp -d --suffix=robot_venv)
-echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+set -exu
-echo "Python version is: $(python3 --version)"
+ROBOT3_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT3_VENV=${ROBOT3_VENV}" >> "${WORKSPACE}/env.properties"
-python3 -m venv "${ROBOT_VENV}"
-source "${ROBOT_VENV}/bin/activate"
+echo "Python version is: $(python3 --version)"
-set -exu
+python3 -m venv "${ROBOT3_VENV}"
+source "${ROBOT3_VENV}/bin/activate"
# Make sure pip3 itself us up-to-date.
python3 -m pip install --upgrade pip